アスリート系ですがプログラミング始めました。

プログラミング初心者三十路越えアスリート系女がフリーランスプログラマーを目指すブログ

Pycharmでpipやmatplotlibがインストールできない時のエラーの解決方法

スポンサーリンク

ゆるゆる機械学習を進めています。

今日は早速ファイルのインストールでエラーが出て、日本語版のサイトではググってもちょっと見つからなかったので書いておきたいと思います。(Udemy の質疑応答コーナーに答え見つけて試したらできました)

simpledancer.hatenablog.com

simpledancer.hatenablog.com

グラフを描画するためのパッケージをインストールする

Pycharm>Preference>project:フォルダ名>Prpject interpreter

移動したら下の方の+マークを押す。私のpycharmでは下にすでにinstall packaging toolsと出ていたのでそこをクリック

 

f:id:simpledancer:20170730090329p:plain

pipをインストールしますが、ここで私はエラーが出ました。

f:id:simpledancer:20170730090637p:plain

f:id:simpledancer:20170730090305p:plain

何度も果敢に同じ失敗を繰り返した跡↑

 

で、ググってみたんですが英語版のStack over flowしか出てきませんでした。

日本語ではざっとみた限り見つからなかったのでUdemyのQ&Aを探してみたところ同じエラーが出ている人がいたのでまずはこう変えてみました。

f:id:simpledancer:20170730090710p:plain

この丈夫に表示されてるversionが2.6ですが、チェックリストから2.7を選択します。

f:id:simpledancer:20170730090801p:plain

そうして再度pipをインストールします。

f:id:simpledancer:20170730090829p:plain

インストールに成功しました!同様にnumpyとmatplotlibもインストールができればOKです!

f:id:simpledancer:20170730090954p:plain

インストールのエラーだけで30分以上かかってしまった。。。(泣)

 

なんだ、そんなことでエラーになっていたの。。。?という感じでしたが。とりあえず解決できてよかったです!

simplelifedancer.hatenablog.com

私が買ったUdemy の講座みんなのAI講座 ゼロからPythonで学ぶ人工知能と機械学習 はQ&Aが結構丁寧でした。

 

とにかく進みが遅いけどちょっとずつ進めていきます!